> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 조직 활동

> ID로 organization 활동 1건을 반환합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/activities/{activityId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/activities/{activityId}:
    get:
      tags:
        - Organization
      summary: 조직 활동
      description: ID로 organization 활동 1건을 반환합니다.
      parameters:
        - description: 요청한 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 요청한 활동의 ID입니다.
          in: path
          name: activityId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Activity'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    Activity:
      properties:
        actorDetails:
          description: Actor에 대한 추가 정보입니다.
          type: string
        actorId:
          description: 고유한 Actor ID입니다.
          type: string
        actorIpAddress:
          description: Actor의 IP 주소입니다. 'user' 및 'api' Actor 유형에 대해 정의됩니다.
          type: string
        actorType:
          description: 'Actor 유형입니다: ''user'', ''support'', ''system'', ''api''.'
          enum:
            - user
            - support
            - system
            - api
          type: string
        createdAt:
          description: activity의 timestamp입니다. ISO-8601 형식입니다.
          format: date-time
          type: string
        id:
          description: 고유한 activity ID입니다.
          type: string
        organizationId:
          description: activity 범위입니다. 이 activity와 관련된 조직 ID입니다.
          type: string
        serviceId:
          description: '활동 범위: 이 활동과 관련된 서비스 ID입니다.'
          type: string
        type:
          description: activity의 유형입니다.
          enum:
            - create_organization
            - organization_update_name
            - transfer_service_in
            - transfer_service_out
            - save_payment_method
            - marketplace_subscription
            - migrate_marketplace_billing_details_in
            - migrate_marketplace_billing_details_out
            - organization_update_tier
            - organization_invite_create
            - organization_invite_delete
            - organization_member_join
            - organization_member_add
            - organization_member_leave
            - organization_member_delete
            - organization_member_update_role
            - organization_member_update_mfa_method
            - user_login
            - user_login_failed
            - user_logout
            - key_create
            - key_delete
            - openapi_key_update
            - service_create
            - service_start
            - service_stop
            - service_awaken
            - service_partially_running
            - service_delete
            - service_update_name
            - service_update_ip_access_list
            - service_update_autoscaling_memory
            - service_update_autoscaling_idling
            - service_update_password
            - service_update_autoscaling_replicas
            - service_update_max_allowable_replicas
            - service_update_backup_configuration
            - service_restore_backup
            - service_update_release_channel
            - service_update_gpt_usage_consent
            - service_update_private_endpoints
            - service_import_to_organization
            - service_export_from_organization
            - service_maintenance_start
            - service_maintenance_end
            - service_update_core_dump
            - backup_delete
          type: string
        userAgent:
          description: Actor의 user agent
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````